Updating PHP to 7.0 and installing "Image Magick"?

Web hosting discussion, programming, and shared and dedicated servers.
2 posts Page 1 of 1
by kcfphoto » Wed May 09, 2018 9:13 am
The WordPress application I am using recommended the following 2 items before I upgrade and it has been some time since I messed with any of this. Is this pretty straight forward for me to install? Sonic support says they only host and do not help with site tools. Thanks for any advice!

1. Your PHP version is out of date
Your PHP version: 5.5, is technically compatible, but is insecure and outdated. We recommend that you call your webhost and ask them to upgrade your PHP to at least 5.6, or ideally 7.0 or 7.1. Version 7.0 and higher run nearly twice as fast as older versions, and are more secure, so it's definitely worth a quick call to get updated.

2. You are missing the Imagick image library
To make your site responsive and fast, ProPhoto needs to be able to resize and watermark your upladed images. There are two main image libraries that allow ProPhoto to do this: GD, and Imagick (sometimes called "Image Magick"). You have GD installed, but not Imagick. Imagick is the newer, faster, and more powerful of the two. It does a better job of preserving image quality and color than GD. Most (but not all) webhosts can enable Imagick for you, so it's probably worth a phone call to your webhost tech support, to see if they can enable this improved image handling library.
by kcfphoto » Wed May 09, 2018 9:15 am
Ok, as I poke around here it currently appears Sonic does not support PHP 7.0.
2 posts Page 1 of 1

Who is online

In total there is 1 user online :: 0 registered, 0 hidden and 1 guest (based on users active over the past 5 minutes)
Most users ever online was 422 on Sat May 26, 2012 5:28 am

Users browsing this forum: No registered users and 1 guest